Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.portals.bridges.jsf
Class ServletCookieMap

    java.lang.Object
      org.apache.portals.bridges.jsf.AbstractAttributeMap
          org.apache.portals.bridges.jsf.ServletCookieMap

All Implemented Interfaces:
  Map

public class ServletCookieMap
extends AbstractAttributeMap

Author:
  Apache MyFaces team

Nested Class Summary
`private static class` | `ServletCookieMap.CookieNameEnumeration`

Nested classes inherited from class org.apache.portals.bridges.jsf.AbstractAttributeMap
``

Nested classes inherited from class java.util.Map
`Map.Entry`

Field Summary
`(package private) javax.servlet.http.HttpServletRequest` | `_httpServletRequest`
`private static javax.servlet.http.Cookie[]` | `EMPTY_ARRAY`

Fields inherited from class org.apache.portals.bridges.jsf.AbstractAttributeMap
``

Constructor Summary
`(package private)` | `ServletCookieMap(javax.servlet.http.HttpServletRequest httpServletRequest)`

Method Summary
`void` | `clear()`
`boolean` | `containsKey(Object key)`
`boolean` | `containsValue(Object findValue)`
`protected Object` | `getAttribute(String key)` Gets an attribute given a key.
`protected Enumeration` | `getAttributeNames()` Gets the attributes names.
`boolean` | `isEmpty()`
`void` | `putAll(Map t)`
`protected void` | `removeAttribute(String key)` Removes an attribute.
`protected void` | `setAttribute(String key, Object value)` Sets an attribute given a key/value.
`int` | `size()`

Methods inherited from class org.apache.portals.bridges.jsf.AbstractAttributeMap
`entrySet, get, keySet, put, remove, values`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Field Detail

### EMPTY_ARRAY

    private static final javax.servlet.http.Cookie[] EMPTY_ARRAY

### _httpServletRequest

    final javax.servlet.http.HttpServletRequest _httpServletRequest

Constructor Detail

### ServletCookieMap

    ServletCookieMap(javax.servlet.http.HttpServletRequest httpServletRequest)

Method Detail

### clear

    public void clear()

  Specified by:
    `clear` in interface `Map`
  Overrides:
    `clear` in class `AbstractAttributeMap`
  See Also:
    `Map.clear()`

### containsKey

    public boolean containsKey(Object key)

  Specified by:
    `containsKey` in interface `Map`
  Overrides:
    `containsKey` in class `AbstractAttributeMap`
  See Also:
    `Map.containsKey(java.lang.Object)`

### containsValue

    public boolean containsValue(Object findValue)

  Specified by:
    `containsValue` in interface `Map`
  Overrides:
    `containsValue` in class `AbstractAttributeMap`
  See Also:
    `Map.containsValue(java.lang.Object)`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `Map`
  Overrides:
    `isEmpty` in class `AbstractAttributeMap`
  See Also:
    `Map.isEmpty()`

### size

    public int size()

  Specified by:
    `size` in interface `Map`
  Overrides:
    `size` in class `AbstractAttributeMap`
  See Also:
    `Map.size()`

### putAll

    public void putAll(Map t)

  Specified by:
    `putAll` in interface `Map`
  Overrides:
    `putAll` in class `AbstractAttributeMap`
  See Also:
    `Map.putAll(java.util.Map)`

### getAttribute

    protected Object getAttribute(String key)

  Description copied from class: `AbstractAttributeMap`

  Gets an attribute given a key.

  Specified by:
    `getAttribute` in class `AbstractAttributeMap`
  Parameters:
    `key` - The key.
  Returns:
    The attribute.

### setAttribute

    protected void setAttribute(String key,
                                Object value)

  Description copied from class: `AbstractAttributeMap`

  Sets an attribute given a key/value.

  Specified by:
    `setAttribute` in class `AbstractAttributeMap`
  Parameters:
    `key` - The key.
    `value` - The value.

### removeAttribute

    protected void removeAttribute(String key)

  Description copied from class: `AbstractAttributeMap`

  Removes an attribute.

  Specified by:
    `removeAttribute` in class `AbstractAttributeMap`
  Parameters:
    `key` - The key.

### getAttributeNames

    protected Enumeration getAttributeNames()

  Description copied from class: `AbstractAttributeMap`

  Gets the attributes names.

  Specified by:
    `getAttributeNames` in class `AbstractAttributeMap`
  Returns:
    An enumeration of attributes names.

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.